package org.shokai.samplenotification;

import android.app.Activity;
import android.app.Notification;
import android.app.PendingIntent;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.NotificationCompat;
import android.support.v4.app.NotificationManagerCompat;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;


public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button button = (Button) findViewById(R.id.button);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sendNotification();
            }
        });
    }

    private void sendNotification() {
        // Android本体で地図を開くインテント
        Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse("http://goo.gl/maps/SK1HA"));
        PendingIntent pIntent = PendingIntent.getActivity(this, 0, intent, 0);

        // アイコン（大）はAndroid Wearでは背景画像になる
        Bitmap largeIcon = BitmapFactory.decodeResource(
                getResources(), R.drawable.shokai);

        Notification notif = new NotificationCompat.Builder(this)
                .setContentTitle("タイトル")
                .setContentText("本文")
                .setSmallIcon(android.R.drawable.btn_default_small)
                .setLargeIcon(largeIcon)
                .addAction(android.R.drawable.ic_dialog_map, "Mapを開く", pIntent) // アクション追加
                .build();

        // 通知する
        NotificationManagerCompat.from(this).notify(0, notif);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        return super.onOptionsItemSelected(item);
    }
}
